<?php

namespace Litecms\Sitecontent\Repositories\Eloquent;

use Litecms\Sitecontent\Interfaces\ManageContentRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ManageContentRepository extends BaseRepository implements ManageContentRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('litecms.sitecontent.manage_content.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.sitecontent.manage_content.model.model');
    }
}
