<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'sitecontent',

    /*
     * Modules.
     */
    'modules'   => ['manage_content'],

    
    'manage_content'       => [
        'model' => [
            'model'                 => \Litecms\Sitecontent\Models\ManageContent::class,
            'table'                 => 'manage_contents',
            'presenter'             => \Litecms\Sitecontent\Repositories\Presenter\ManageContentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'config_key',  'value'],
            'translatables'         => [],
            'upload_folder'         => 'sitecontent/manage_content',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Sitecontent',
            'module'    => 'ManageContent',
        ],

    ],
];
