Lavalite package that provides sitecontent management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/sitecontent`.

    "litecms/sitecontent": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Sitecontent\Providers\SitecontentServiceProvider::class,

And also add it to alias

    'Sitecontent'  => Litecms\Sitecontent\Facades\Sitecontent::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\SitecontentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Sitecontent\Providers\SitecontentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Sitecontent\Providers\SitecontentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Sitecontent\Providers\SitecontentServiceProvider" --tag="view"


## Usage


