<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for manage_content in sitecontent package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  manage_content module in sitecontent package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'ManageContent',
    'names'         => 'ManageContents',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'ManageContents',
        'sub'   => 'ManageContents',
        'list'  => 'List of manage_contents',
        'edit'  => 'Edit manage_content',
        'create'    => 'Create new manage_content'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => '',
        'config_key'                 => 'Site key',
        'value'                      => 'value',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => '',
        'config_key'                 => 'SiteKey',
        'value'                      => 'Value',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'config_key'                 => ['name' => 'SiteKey', 'data-column' => 1, 'checked'],
        'value'                      => ['name' => 'Value', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'ManageContents',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
